/***************************************************************************
    begin                : Wed Oct 17 14:29:38 EET DST 2001
    copyright            : (C) 2001, 2006 by Mantia Andras
    email                : amantia@kdewebdev.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//own includes
#include "kallery.h"
#include "config.h"

//kde includes
#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kglobal.h>
#include <klocale.h>



static const char *description =
  I18N_NOOP("Kallery");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
  
  
static KCmdLineOptions options[] =
{
  {"verbose",I18N_NOOP("Print the results to the stdout."),0},
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kallery", I18N_NOOP("Kallery wizard"),
    VERSION, description, KAboutData::License_GPL_V2,
    "(c) 2001, 2002, Mantia Andras", 0, 0, "amantia@kdewebdev.org");
  aboutData.addAuthor("Mantia Andras", 0 , "amantia@kdewebdev.org");
  aboutData.addCredit("Frank Schmischke", "Fixes, german translation", "Frank.Schmischke@t-online.de");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;

  Kallery* kallery=new Kallery;
  a.setMainWidget(kallery);
  kallery->show();

//Some may think, that I'm really stupid. Maybe it will be really freed up,
//but anyway, let's do it clean.
 int result = a.exec();
 delete kallery;

 return result;
}
